<%@ include file="/tiles/taglibs.jsp" %>

<mon:html>
<head>
   <meta http-equiv="expires" content="0" />
   <meta http-equiv="Pragma"  content="no-cache" />
<%
   final MonitorSession ms = MonitorSession.getMonitorSession(request);
	final String id = request.getParameter("id");
	final boolean readOnly = "true".equals(request.getParameter("readOnly"));
	final boolean required = "true".equals(request.getParameter("required"));
	final boolean collapsible = !"false".equals(request.getParameter("collapsible"));
	final boolean rootVisible = !"false".equals(request.getParameter("rootVisible"));
	final boolean isDimPoint = !"false".equals(request.getParameter("dimPoint"));
	final boolean forFiltering = "true".equals(request.getParameter("forFiltering"));
	final boolean advanced = "true".equals(request.getParameter("advanced"));
	final boolean everywhereAllowed = "true".equals(request.getParameter("everywhereAllowed"));
	final boolean showMappedStandardRiskType = "true".equals(request.getParameter("smsrt"));
	final boolean showMappedStandardBusinessLine = "true".equals(request.getParameter("smsbl"));
	final String handleKey = isDimPoint ? "dpHandle" : "daHandle";
	final boolean callSelectMethod = Boolean.TRUE.equals(request.getAttribute("callSelectMethod"));
	String handle = (String)request.getAttribute(handleKey);
	if (handle == null) {
		handle = request.getParameter(handleKey);
	}
	final String feature = request.getParameter("feature");
	final String secureObjectClass = request.getParameter("secureObjectClass");
	final String secureAction = request.getParameter("secureAction");
	String title = request.getParameter("title");
	if (title != null) {
		title = com.sas.oprisk.framework.server.util.ParsingUtils.unescape(title);
	}
	String excludedDimensions = request.getParameter("excludedDimensions");
   
   String error = (String)request.getAttribute(com.sas.oprisk.monitor.web.ora.actions.OraAction.ERROR_ATTRIBUTE);
   if (StringUtil.isEmpty(error)) {
      error = null;
   }
%>
<!-- title: <%= title %> -->

   <script type="text/javascript">
   
   function refreshChooserBody() {
   	if (window.parent) {
   	   
   	   <% if (error != null) { %>
   	      alert("<%= StringUtil.escapeJSForHTML(error) %>");
   	      return;
   	   <% } %>
   	   
   		var parentChooser = window.parent["<%= StringUtil.makeValidJSIdentifier(id) %>Chooser"];
   
   		var thisChooser = window["<%= StringUtil.makeValidJSIdentifier(id) %>Chooser"];
   				
   		// update the chooser object
   		parentChooser.sloshFrom(thisChooser);
   	
   <%	if (callSelectMethod) { %>
   		if (!parentChooser.callSelectMethod()) {
   			return;	// don't need to refresh the div contents
   		}
   <%	} %>
   	
   		copyDivContent('<%= StringUtil.makeValidJSIdentifier(id) %>_title');
   		copyDivContent('<%= StringUtil.makeValidJSIdentifier(id) %>_body');
   		copyDivContent('<%= StringUtil.makeValidJSIdentifier(id) %>_buttons');
   		
   		parentChooser.onRefresh();
   	}
   }
   
   function copyDivContent(divName) {
   	var srcDiv = elementById(divName);
   	var destDiv = elementById(divName, window.parent.document);
   	destDiv.innerHTML = srcDiv.innerHTML;
   	destDiv.style.display = srcDiv.style.display;
   }
   
   </script>

   <%@ include file="/layout/ModalScriptIncludes.jsp" %>
   <%@ include file="/layout/StyleAndScriptIncludes.jsp" %>

   <mon:include js="/script/overlib.js" />
   <mon:include flush="true" />
</head>

<body onload="refreshChooserBody()">

<%	if (isDimPoint) { %>
<mon:DimPointChooser 
	id="<%= StringUtil.makeValidJSIdentifier(id) %>"
	dimensionalPointHandle="<%= handle %>"
	feature="<%= feature %>"
	readOnly="<%= readOnly %>" 
	required="<%= required %>" 
	collapsible="<%= collapsible %>" 
	rootVisible="<%= rootVisible %>" 
	everywhereAllowed="<%= everywhereAllowed %>" 
	secureObjectClass="<%= secureObjectClass %>"
	secureAction="<%= secureAction %>"
	forFiltering="<%= forFiltering %>"
	excludedDimensions="<%= excludedDimensions %>"
	showMappedStandardRiskType="<%= showMappedStandardRiskType %>"
	showMappedStandardBusinessLine="<%= showMappedStandardBusinessLine %>"
>
<%--
	<mon:title><%= title %></mon:title>
--%>
</mon:DimPointChooser>
<%	} else { %>
<mon:DimAreaChooser 
	id="<%= StringUtil.makeValidJSIdentifier(id) %>"
	dimensionalAreaHandle="<%= handle %>"
	feature="<%= feature %>"
	readOnly="<%= readOnly %>" 
	required="<%= required %>" 
	collapsible="<%= collapsible %>" 
	rootVisible="<%= rootVisible %>" 
	everywhereAllowed="<%= everywhereAllowed %>" 
	secureObjectClass="<%= secureObjectClass %>"
	secureAction="<%= secureAction %>"
	forFiltering="<%= forFiltering %>"
	advanced="<%= advanced %>"
	excludedDimensions="<%= excludedDimensions %>"
>
<%--
	<mon:title><%= title %></mon:title>
--%>
</mon:DimAreaChooser>
<%	} %>

</body>

</mon:html>